# Visualization
TKService
PlotMgt

# PlotMgt Class Reference

`#include <PlotMgt.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)

## Static Public Member Functions

static Standard_EXPORT Handle_TColStd_HSequenceOfAsciiString | DeviceList ()
static Standard_EXPORT PlotMgt_TypeOfPlotterParameter | TypeFromString (TCollection_AsciiString &aTypeString)
static Standard_EXPORT TCollection_AsciiString | StringFromType (const PlotMgt_TypeOfPlotterParameter aType)
static Standard_EXPORT PlotMgt_TypeOfOrigin | OriginFromString (TCollection_AsciiString &anOriginString)
static Standard_EXPORT TCollection_AsciiString | StringFromOrigin (const PlotMgt_TypeOfOrigin anOrigin)
static Standard_EXPORT PlotMgt_TypeOfQuality | QualityFromString (TCollection_AsciiString &aQualityString)
static Standard_EXPORT TCollection_AsciiString | StringFromQuality (const PlotMgt_TypeOfQuality aQuality)
static Standard_EXPORT PlotMgt_ImageFormat | ImageFormatFromString (TCollection_AsciiString &anImageFormatString)
static Standard_EXPORT TCollection_AsciiString | StringFromImageFormat (const PlotMgt_ImageFormat anImageFormat)
static Standard_EXPORT PlotMgt_PlottingType | PlottingTypeFromString (TCollection_AsciiString &aPlottingTypeString)
static Standard_EXPORT TCollection_AsciiString | StringFromPlottingType (const PlotMgt_PlottingType aPlottingType)
static Standard_EXPORT PlotMgt_PaperFormat | PaperFormatFromString (TCollection_AsciiString &aPaperFormatString)
static Standard_EXPORT TCollection_AsciiString | StringFromPaperFormat (const PlotMgt_PaperFormat aPaperFormat)
static Standard_EXPORT void | PaperSize (TCollection_AsciiString &aFormat, Standard_Real &aWidth, Standard_Real &aLength)

## Member Function Documentation

static Standard_EXPORT Handle_TColStd_HSequenceOfAsciiString PlotMgt::DeviceList | ( |  | ) | `[static]`

static Standard_EXPORT PlotMgt_ImageFormat PlotMgt::ImageFormatFromString | ( | TCollection_AsciiString & | anImageFormatString | ) | `[static]`

void PlotMgt::operator delete | ( | void * | anAddress | ) | `[inline]`

void* PlotMgt::operator new | ( | size_t | size | ) | `[inline]`

void* PlotMgt::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

static Standard_EXPORT PlotMgt_TypeOfOrigin PlotMgt::OriginFromString | ( | TCollection_AsciiString & | anOriginString | ) | `[static]`

static Standard_EXPORT PlotMgt_PaperFormat PlotMgt::PaperFormatFromString | ( | TCollection_AsciiString & | aPaperFormatString | ) | `[static]`

static Standard_EXPORT void PlotMgt::PaperSize | ( | TCollection_AsciiString & | aFormat,
|  | Standard_Real & | aWidth,
|  | Standard_Real & | aLength
| ) | `[static]`

static Standard_EXPORT PlotMgt_PlottingType PlotMgt::PlottingTypeFromString | ( | TCollection_AsciiString & | aPlottingTypeString | ) | `[static]`

static Standard_EXPORT PlotMgt_TypeOfQuality PlotMgt::QualityFromString | ( | TCollection_AsciiString & | aQualityString | ) | `[static]`

static Standard_EXPORT TCollection_AsciiString PlotMgt::StringFromImageFormat | ( | const PlotMgt_ImageFormat | anImageFormat | ) | `[static]`

static Standard_EXPORT TCollection_AsciiString PlotMgt::StringFromOrigin | ( | const PlotMgt_TypeOfOrigin | anOrigin | ) | `[static]`

static Standard_EXPORT TCollection_AsciiString PlotMgt::StringFromPaperFormat | ( | const PlotMgt_PaperFormat | aPaperFormat | ) | `[static]`

static Standard_EXPORT TCollection_AsciiString PlotMgt::StringFromPlottingType | ( | const PlotMgt_PlottingType | aPlottingType | ) | `[static]`

static Standard_EXPORT TCollection_AsciiString PlotMgt::StringFromQuality | ( | const PlotMgt_TypeOfQuality | aQuality | ) | `[static]`

static Standard_EXPORT TCollection_AsciiString PlotMgt::StringFromType | ( | const PlotMgt_TypeOfPlotterParameter | aType | ) | `[static]`

static Standard_EXPORT PlotMgt_TypeOfPlotterParameter PlotMgt::TypeFromString | ( | TCollection_AsciiString & | aTypeString | ) | `[static]`

The documentation for this class was generated from the following file:

- PlotMgt.hxx